<template>
  <van-grid direction="horizontal" :column-num="1">
    <van-grid-item icon="photo-o" text="系统初始化" to="/system-init"/>
    <van-grid-item icon="photo-o" text="盒条系统" to="/pkg-home"/>
    <van-grid-item icon="photo-o" text="条件系统" to="/box-home"/>
    <van-grid-item icon="photo-o" text="条零系统" to="/dlr-home"/>
    <van-grid-item icon="photo-o" text="注销登陆" to="/logout" />
  </van-grid>

</template>

<script>
import { Grid, GridItem } from 'vant';
import {mapState} from "vuex";
export default {
  name: "home",

  components: {
    [Grid.name]: Grid,
    [GridItem.name]: GridItem,
  },

  props: {},

  emits: [],

  setup() {},

  data() {
    return {}
  },

  computed: {
    ...mapState('sysConf',["runMode"])
  },

  watch: {},

  created() {
    this.$router.push({name: this.runMode}).catch(() =>{})
  },

  mounted() {},

  unmounted() {},

  methods: {},
}
</script>
